Quassel IRC - Bug #95

Implement periodic /WHO
02/11/2008 03:35 PM - Sputnick

Status: Closed Start date:

Priority: High Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 1.00 hour
Target version: 0.5.0

Version: 0.3.1+ 0S: Any
Description

In order to update the away status of irc users, we have to send /WHO periodically (say, every 60 seconds). This should be handled
from within NetworkConnection. Also replys should not be displayed (->IrcServerHandler needs to differentiate between auto-WHO
and manual WHO).

History

#1 - 02/20/2008 09:12 PM - Sputnick

Has been partially implemented - i.e. periodic WHO is sent every 60 seconds now, but this is not configurable yet. Also, RPL_WHO and ENDOFWHO
have been silenced for the time being.

#2 - 04/09/2008 03:40 PM - Sputnick

This has been implemented core-side. We lack a way to configure this via GUI, but that might be added later. For now, it checks all channels every 90
seconds, with a 3-second delay between each channel.

#3 - 01/24/2009 12:03 AM - sph

It would be great if that 90 seconds delay was configurable in the settings :)

#4 - 01/24/2009 12:04 AM - Sputnick

- Category changed from Quassel Core to Quassel GUI (Qt)
- Status changed from Closed to Feedback

- Target version deleted (0.2.0-alpha5)

- Estimated time set to 1.00 h

#5 - 11/02/2009 09:26 PM - dalbers

- Status changed from Feedback to Closed
- Target version set to 0.5.0

- % Done changed from 0 to 100

- OS set to Any
